## libbsd-arc4random-perl 1.50

=== debian/changelog ===
libbsd-arc4random-perl (1.50-5) unstable; urgency=low

  * d/source/ has local-options and local-patch-header, 10x rra
  * Enable dpkg/buildflags; idea from #662666, but CFLAGS must
    also be added at link time; enable all hardening but PIE
  * Policy 3.9.3 with no relevant changes
  * Drop note about not using ExtUtils::MakeMaker since it works now

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 11 Mar 2012 23:27:10 +0000

libbsd-arc4random-perl (1.50-4) unstable; urgency=low

  * Switch to source format 3.0 (quilt), single debian patch;
    patched source in SCM, patches not in SCM
  * Fix build log check and lintian warnings and tidy up

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 28 Jan 2012 17:18:49 +0000

libbsd-arc4random-perl (1.50-3) unstable; urgency=low

  * Add build-{arch,indep} targets as alias for build
  * Switch to current packaging style
  * debian/rules: cleanup (remove install/check, dh_installdirs)
  * Please lintian
  * Help the Perl 5.14 transition along by uploading

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 14 Nov 2011 23:14:46 +0000

libbsd-arc4random-perl (1.50-2) unstable; urgency=low

  * Update to CVS snapshot for fixes to the included
    function prototypes
  * Use included protos instead of (broken) libbsd headers

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 06 Jun 2011 12:26:10 +0000

libbsd-arc4random-perl (1.50-1) unstable; urgency=low

  * Bump Standards-Version, no relevant changes
  * debian/source/format: Enforce "1.0" manually, for now
  * debian/control: Remove DMUA, I'm a DD now
  * New upstream release (thanks to Vutral for prodding)
    - Work with use64bitint
    - Use contributed arc4random.c file on MSWin32, irix
      (works only with gcc on win32; unknown if IRIX works…)
    - Improve test coverage
  * Correct how patches are applied
  * Update debian/copyright

 -- Thorsten Glaser <tg@mirbsd.de>  Sun, 05 Jun 2011 23:52:33 +0000

libbsd-arc4random-perl (1.43-1) unstable; urgency=low

  * Remove lintian overrides no longer necessary
  * debian/watch: CPAN is not upstream but only mirror
  * New upstream release (mostly warning/portability fixes)
  * debian/control: add Homepage, ${misc:Depends}
  * Upgrade Standards-Version from 3.8.2 to 3.8.3
    - debian/control: un-version perl dependency
  * debian/copyright: fix mis-notion that this were a native package

 -- Thorsten Glaser <tg@mirbsd.de>  Sat, 12 Dec 2009 20:28:04 +0000

libbsd-arc4random-perl (1.41-1) unstable; urgency=low

  * Add VCS-CVS and VCS-Browser fields to debian/control
  * Allow Debian Maintainer uploads
  * New upstream version with improved support for non-Debian-relevant
    OSes, an improved testsuite, more documentation and comments, comes
    without CVS/ directories in the upstream tarball; fixes gcc warnings
    and an incompatibility with newer libbsd versions; Closes: #534019
  * Fix version number (1.3 was supposed to be 1.30; CPAN does not
    document this particular issue)
  * Add a TODO file with plans for future releases
  * Use a patch system
  * Sync the copyright file (also mention arc4random.c is not used)
  * Enhance description in debian/control
  * Fix pod2man errors
  * Apply some lintian cleanup
  * Install additional documentation files
  * Bump Standards-Version
  * Run the regression tests if nocheck is not set
  * Switch to debhelper 5, by suggestion of Patrick "aptituz" Schoenfeld

 -- Thorsten Glaser <tg@mirbsd.de>  Thu, 16 Jul 2009 14:19:48 +0000

libbsd-arc4random-perl (1.3-1) unstable; urgency=low

  * Initial Release, Closes: #491634

 -- Thorsten Glaser <tg@mirbsd.de>  Mon, 21 Jul 2008 00:28:10 +0000
