=== debian/control ===
# $MirOS: contrib/hosted/tg/deb/libbsd-arc4random-perl/debian/control,v 1.11 2012/03/11 23:27:27 tg Exp $
#-
Source: libbsd-arc4random-perl
Section: perl
Priority: optional
Maintainer: Thorsten Glaser <tg@mirbsd.de>
Homepage: https://www.mirbsd.org/a4rp5bsd.htm
Build-Depends: debhelper (>= 5), libbsd-dev, perl
Standards-Version: 3.9.3
Vcs-CVS: :ext:_anoncvs@anoncvs.mirbsd.org:/cvs contrib/hosted/tg/deb/libbsd-arc4random-perl
Vcs-Browser: http://cvs.mirbsd.de/contrib/hosted/tg/deb/libbsd-arc4random-perl/

Package: libbsd-arc4random-perl
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
Description: CPAN's BSD::arc4random -- Perl bindings for arc4random
 The BSD::arc4random module provides a Perl API for the arc4random(3)
 suite of functions and a few natively implemented functions.
 .
 Exposed functions are: have_kintf (ability to push entropy back to
 the kernel); arc4random, arc4random_bytes, arc4random_uniform, the
 RANDOM variable (get entropy); arc4random_stir (next time used, some
 entropy from the kernel is first requested); arc4random_addrandom
 (add user data to SRNG state); arc4random_push[bk] (push user data
 to kernel RNG if supported; add kernel data or, if not supported,
 user data to SRNG); the ability to "tie" variables to this module
 for retrieving and storing entropy (e.g. in $RANDOM).
