=== debian/watch ===
# $MirOS: contrib/hosted/tg/deb/libbsd-arc4random-perl/debian/watch,v 1.2 2009/12/12 20:30:58 tg Exp $

version=3
http://www.mirbsd.org/MirOS/dist/hosted/p5/ BSD-arc4random-([0-9.]+)\.tar.gz
